var cxid = $_GET['cxid'];
var cxinfo = {};
var typeinfo = {};
mui.init();

mui.plusReady(function(){
	plus.nativeUI.showWaiting();
	app.shopcxone({"id": cxid}, function(data){
		console.log(data);
		if(data.error){
			mui.toast(data.msg);
			plus.nativeUI.closeWaiting();
			mui.back();
			return false;
		}
		
		cxinfo = data.msg;
		
		console.log(cxinfo);
		
		initData();
		 
	})
});

function initData(){
	plus.nativeUI.closeWaiting();
	document.getElementById("cxname").value = cxinfo.cxinfo.name;
	document.getElementById("cxcount").value = cxinfo.cxinfo.limitcontent;
	document.getElementById("jiancost").value = cxinfo.cxinfo.controlcontent;
	
	var limittype = cxinfo.cxinfo.limittype;
	var status = cxinfo.cxinfo.status;
	 
	if( limittype == 1 ){
		document.getElementById("limittype_1").setAttribute("checked", "checked");
		document.getElementById("weeks").classList.add("hide");
    	document.getElementById("weeks").classList.remove("show");
	}
	if( limittype == 2 ){
		document.getElementById("limittype_2").setAttribute("checked", "checked");
		document.getElementById("weeks").classList.remove("hide");
    	document.getElementById("weeks").classList.add("show");
    	 
	}
	
	if( status == 0 ){
		document.getElementById("status_0").setAttribute("checked", "checked");
	}
	if( status == 1 ){
		document.getElementById("status_1").setAttribute("checked", "checked");
	}
	
	document.getElementById("starttime").innerHTML = cxinfo.cxinfo.starttime;
	document.getElementById("endtime").innerHTML = cxinfo.cxinfo.endtime;
	
	 
}
//js获取单选按钮的值

function onclicklimittype(){
    var res = getRadioRes('timerds');
    if(res == null){mui.toast('请选择'); return;}
    if( res == 1 ){
    	document.getElementById("limittype_1").setAttribute("checked", "checked");
    	//mui('#weeks').popover('hide'); 
    	document.getElementById("weeks").classList.add("hide");
    	document.getElementById("weeks").classList.remove("show");
    }
    if( res == 2 ){
    	document.getElementById("limittype_2").setAttribute("checked", "checked");
    	//mui('#weeks').popover('show');  
    	document.getElementById("weeks").classList.remove("hide");
    	document.getElementById("weeks").classList.add("show");
    }
}


function getlimittypeVal(){
    var res = getRadioRes('timerds');
    if(res == null){mui.toast('请选择'); return;}
    //mui.toast(res);
    return res;
}
function getstatusVal(){
    var res = getRadioRes('statusval');
    if(res == null){mui.toast('请选择'); return;}
    //mui.toast(res);
    return res;
}
function getRadioRes(className){
    var rdsObj = document.getElementsByClassName(className);
    var checkVal = null;
    for(i = 0; i < rdsObj.length; i++){
        if(rdsObj[i].checked){checkVal = rdsObj[i].value;}
    }
    return checkVal;
}

//js获取复选框的值
function getweerksVals(){
    var res = getCheckBoxRes('weekval');
   
    if(res.length < 1){
        mui.toast('请选择');
        return;
    } 
     mui.toast(res);
      
    return res;
}
function getCheckBoxRes(className){
    var rdsObj   = document.getElementsByClassName(className);
    var checkVal = '';
    var k        = 0;
    for(i = 0; i < rdsObj.length; i++){
        if(rdsObj[i].checked){
        	if(checkVal==''){
        		checkVal = rdsObj[i].value;
        	}else{
        		checkVal += ','+rdsObj[i].value;
        	}
           
            k++;
        }
    } 
    
    return checkVal;
}

		function submit(){
			var cxname = document.getElementById("cxname").value;
			var cxcount = document.getElementById("cxcount").value;
			var limittimevals = '';
			var limittype = getlimittypeVal();
			 
			
			  if( limittype == 2 ){
			  	 limittimevals = getweerksVals(); 
			  }
			  
			var jiancost = document.getElementById("jiancost").value;  
			var starttime = document.getElementById("starttime").innerHTML;  
			var endtime = document.getElementById("endtime").innerHTML; 
			 
			var controltype = 2;
			
			var status = getstatusVal();
			 
		  
			var info = {};
			info.name =  cxname;
			info.limittype =  limittype;
			
			
			info.controltype =  controltype;
			info.limitcontent =  cxcount;
			info.controlcontent =  jiancost;
			info.starttime =  starttime; 
			info.endtime=  endtime;
			info.status=  status;
			info.id = cxid;
			
			info.limittime =  limittimevals;
			
			mui.toast(limittimevals);  
		 
		 	plus.nativeUI.showWaiting();
			app.savecx(info , function(data){
				plus.nativeUI.closeWaiting();
				
				console.log(data.msg);
				
				if(data.error){
					if(data.msg == "nologin"){
						openWindow("登录", '../login/login.html');
						return false;
					}
					plus.nativeUI.toast(data.msg);
					return false;
				} 
				
				if( cxid > 0 ){
					mui.toast("修改成功");
				}else{
					mui.toast("添加成功");
				}
				 
				mui.back();
			});
			 
			
		}
		



(function($) {
 $.init();
 // var result = $('#result')[0];
 var btns = $('#starttime');
 btns.each(function(i, btn) {
 btn.addEventListener('tap', function() {

var dtpicker = new mui.DtPicker({
    type: "date",//设置日历初始视图模式 
    beginDate: new Date(2013, 01, 01),//设置开始日期 
    endDate: new Date(2018, 12, 30),//设置结束日期 
    labels: ['年', '月', '日'],//设置默认标签区域提示语 
     
}) 
dtpicker.show(function(e) {
    console.log(e);
    console.log(e.value);
    document.getElementById("starttime").innerHTML = e.value;
     dtpicker.dispose();
})
 
  
 }, false);
 });
 
 
  var endbtns = $('#endtime');
 endbtns.each(function(i, btn2) {
 btn2.addEventListener('tap', function() {
 
var dtpicker2 = new mui.DtPicker({
    type: "date",//设置日历初始视图模式 
    beginDate: new Date(2013, 01, 01),//设置开始日期 
    endDate: new Date(2018, 12, 30),//设置结束日期 
    labels: ['年', '月', '日'],//设置默认标签区域提示语 
     
}) 
dtpicker2.show(function(e) {
    console.log(e);
    console.log(e.value);
    document.getElementById("endtime").innerHTML = e.value;
     dtpicker2.dispose();
})
 
  
 }, false);
 });
 
 
 
   
 
 })(mui);

function uploadGoodsImg(path){
	plus.nativeUI.showWaiting();
	app.updateimg(gid, path, function(data){
		plus.nativeUI.closeWaiting();
		if(data.error){
			plus.nativeUI.toast(data.msg);
			return false;
		}
		
		mui.toast("上传成功");
		mui("#goodsImg")[0].src = img_base_url+data.msg.img; 
	});
}
function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(path) {
		//plus.gallery.save(path);
		uploadGoodsImg(path);
		//outSet( "照片已成功保存到系统相册" );
	}, function(e) {
		//outSet( "取消拍照" );
	}, {
		filename: "_doc/gallery/",
		index: 1
	});
}
function galleryImg() {
	// 从相册中选择图片
	//outSet("从相册中选择图片:");
	plus.gallery.pick(function(path) {
		uploadGoodsImg(path);
		//outLine(path);
		//showImg( path );
		//createItem(path);
	}, function(e) {
		//outSet( "取消选择图片" );
	}, {
		filter: "image"
	});
}
mui('#picture').on('tap', '.mui-table-view-cell>a', function() {
	//关闭actionsheet
	mui('#picture').popover('toggle');
	if (this.id == "getImage") {
		getImage();
	} else if (this.id == "galleryImg") {
		galleryImg();
	}
})



window.mask = mui.createMask(closeSBox);

			function showSBox(){
				window.mask.show();//显示遮罩
				mui("#ggSbox")[0].style.display = "block";
			}
			
			
			function closeSBox(){
				mui("#ggSbox")[0].style.display = "none";
				
			}
			
			function subSBox(){
				plus.nativeUI.showWaiting();
				
				var data = {
					"typeid": typeid,
					"name": mui("#g_name")[0].value, 
					"count": mui("#g_count")[0].value, 
					"cost": mui("#g_cost")[0].value
				};	
				app.addgoos(data, function(data){
					plus.nativeUI.closeWaiting();
					if( data.error == true ){
						plus.nativeUI.toast(data.msg);
						return;
					}
					closeaddgoods();
					window.mask.close();
					
					plus.nativeUI.toast("添加成功");
					setTimeout(function(){
						pullRef.pullDownLoading();
					}, 500);
				});
			}
