mui.init();
var controltype = $_GET['controltype'];
var page = 1;

var pullRef = null;
 
mui.plusReady(function() {
	init();
	pullRef = mui(".mui-content").pullToRefresh({
		down: {
			callback: function() {
				page = 1;
				loadData();
			}
		},
		up: {
			callback: function() {
				++page;
				loadData();
			}
		}
	});
			setTimeout(function(){
				pullRef.pullDownLoading();
			}, 500);
})


function loadData() {
	app.shopcxlist({
		page:page,
		pagesize:10,
		controltype:controltype
	}, function(data) {
		if (data.error == true) {
			plus.nativeUI.toast(data.msg);
			return;
		}
		if (page == 1) {
			pullRef.endPullDownToRefresh();
			document.getElementById("list").innerHTML = "";
		} else {
			pullRef.endPullUpToRefresh();
		}

		var html = template("cxlist_tpl", data.msg);
		document.getElementById("list").innerHTML += html;
		if (data.msg.length <= 0) {
			if (page == 1) {
				document.getElementById("list").innerHTML = tpl_nocontent("");
			} else {
				--page;
			}

			pullRef.endPullUpToRefresh(true);
		}
	})
	pullRef.pullDownLoading();
	
}


function delcx(id, name){
	mui.confirm("确认删除［"+name+"］？该操作不可逆，请谨慎操作。","提示",["取消", "确认"], function(e){
		if(e.index == 1){
			document.getElementById("cx_"+id).classList.add("remove");
			setTimeout(function(){
				if(mui(".mui-table-view-cell.remove").length>0){
					plus.nativeUI.showWaiting();
				}
			}, 1000);
			app.delcx({id:id}, function(data){
				plus.nativeUI.closeWaiting();
				if(data.error){
					mui.toast(data.msg);
					mui(".mui-table-view-cell.remove")[0].classList.remove("remove");
					return false;
				}
				
				document.getElementById("list").removeChild(mui(".mui-table-view-cell.remove")[0]);
				mui.toast("删除成功");
			})
		}
	})
}

mui("#list").on("tap", ".cxlist", function(){
	openWindow("编辑促销", "../cx/edit.html?cxid="+this.getAttribute("cxid"));
	return false;
})

function addcx(){
	openWindow("添加促销", "../cx/edit.html?cxid=0");
	return false;
}
