//打印机指令
/*
  { 0x1b, 0x40 },// 复位打印机    
            { 0x1b, 0x4d, 0x00 },// 标准ASCII字体    
            { 0x1b, 0x4d, 0x01 },// 压缩ASCII字体    
            { 0x1d, 0x21, 0x00 },// 字体不放大    
            { 0x1d, 0x21, 0x11 },// 宽高加倍    
            { 0x1b, 0x45, 0x00 },// 取消加粗模式    
            { 0x1b, 0x45, 0x01 },// 选择加粗模式    
            { 0x1b, 0x7b, 0x00 },// 取消倒置打印    
            { 0x1b, 0x7b, 0x01 },// 选择倒置打印    
            { 0x1d, 0x42, 0x00 },// 取消黑白反显    
            { 0x1d, 0x42, 0x01 },// 选择黑白反显    
            { 0x1b, 0x56, 0x00 },// 取消顺时针旋转90°    
            { 0x1b, 0x56, 0x01 },// 选择顺时针旋转90°   
 */
function sleep(numberMillis) { 
	var now = new Date(); 
	var exitTime = now.getTime() + numberMillis; 
	while (true) { 
		now = new Date(); 
		if (now.getTime() > exitTime) 
			return; 
	} 
}
            function getList() {
                var main = plus.android.runtimeMainActivity();
                var BluetoothAdapter = plus.android.importClass("android.bluetooth.BluetoothAdapter");
                var BAdapter = BluetoothAdapter.getDefaultAdapter(); //获得本机蓝牙适配器

                if (!BAdapter.isEnabled()) {
                    console.log('检测到未打开蓝牙,尝试打开中....');
                    mui.toast('检测到未打开蓝牙,尝试打开中....');
                    BAdapter.enable();
                    
                    sleep(1000);
                }

                var lists = BAdapter.getBondedDevices();//获取配对的设备列表
                plus.android.importClass(lists);
                var iterator = lists.iterator();
                plus.android.importClass(iterator);
                
    				var devices = [];
                while (iterator.hasNext()) {
                    var d = iterator.next();
                    plus.android.importClass(d);
        				devices.push({"name": d.getName(), "address": d.getAddress()});
                }
                return devices;
            }

            var device = null,
                BAdapter = null,
                BluetoothAdapter = null,
                uuid=null,
                main=null,
                bluetoothSocket=null;
             //mac_address:打印机的mac地址
            function print(mac_address,outputBytes) {
                if (!mac_address) {
                    mui.toast('请选择蓝牙打印机');
                    return;
                }

                if (device == null) {
                    main = plus.android.runtimeMainActivity();
                    BluetoothAdapter = plus.android.importClass("android.bluetooth.BluetoothAdapter");
                    UUID = plus.android.importClass("java.util.UUID");
                    uuid = UUID.fromString("00001101-0000-1000-8000-00805F9B34FB");
                    BAdapter = BluetoothAdapter.getDefaultAdapter();
	                if (!BAdapter.isEnabled()) {
	                    console.log('检测到未打开蓝牙,尝试打开中....');
	                    mui.toast('检测到未打开蓝牙,尝试打开中....');
	                    BAdapter.enable();
	                    
	                    sleep(1000);
	                }
	                
                    device = BAdapter.getRemoteDevice(mac_address);
                    plus.android.importClass(device);
                    bluetoothSocket = device.createInsecureRfcommSocketToServiceRecord(uuid);
                }
                plus.android.importClass(bluetoothSocket);

                if (!bluetoothSocket.isConnected()) {
                    console.log('检测到设备未连接，尝试连接....');
                    bluetoothSocket.connect();
                    
                    sleep(1000);
                }

                console.log('bluetoothSocket.isConnected()=' +  bluetoothSocket.isConnected());

                if (bluetoothSocket.isConnected()) {
                    var outputStream = bluetoothSocket.getOutputStream();
                    plus.android.importClass(outputStream);
                    
                    for(var i = 0 ; i < outputBytes.length; i++){
                    		var b = outputBytes[i];
                    		outputStream.write(b);
                    }
                    outputStream.flush();
                }
            }