var currType = 0; //当前订单类型 0待处理 1待发货 2已发货
var p = 1;
var page = [];
var pullRefreshs = [];
template.helper('star', function (point) {
	point = parseInt(point);
	var html = "";
	for(var i=1;i<=5;i++){
		html += '<i class="iconstar '+(i<=point?"on":"")+'"></i>';
	}
	return html;
});

function uploadData() {
	var info = {};
	info.page = p;
	switch (currType) {
		case 0:
			break;
		case 1:
			break;
		case 2:
			break;
		case 3:
			break;
		default:
			return;
	}

	app.managescommt(info, function(data) {
		if (data.error == true) {
			plus.nativeUI.toast(data.msg);
			return;
		}
		if (p == 1) {
			pullRefreshs[currType].endPullDownToRefresh();
			page[currType].querySelector('.mui-scroll .mui-table-view').innerHTML = "";
		} else {
			pullRefreshs[currType].endPullUpToRefresh();
		}

		var html = template("comment_tpl", data.msg);
		page[currType].querySelector('.mui-scroll .mui-table-view').innerHTML += html;
		if (data.msg.length <= 0) {
			if (p == 1) {
				page[currType].querySelector('.mui-scroll .mui-table-view').innerHTML = tpl_nocontent("");
			} else {
				--p;
			}

			pullRefreshs[currType].endPullUpToRefresh(true);
		}
	});
}

document.getElementById('slider').addEventListener('slide', function(e) {
	currType = e.detail.slideNumber;
	pullRefreshs[currType].pullDownLoading();
});

mui.init({
	swipeBack: false
});

mui.plusReady(function() {
	init();

	mui('.mui-scroll-wrapper').scroll({
		indicators: true //是否显示滚动条
	});
	setTimeout(function() {
		pullRefreshs[0].pullDownLoading();
	}, 500);

	//循环初始化所有下拉刷新，上拉加载。
	mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
		page.push(pullRefreshEl);
		var pullObj = mui(pullRefreshEl).pullToRefresh({
			down: {
				callback: function() {
					p = 1;
					uploadData();
				}
			}
			,
										up: {
											callback: function() {
												++p;
												uploadData();
											}
										}
		});
		pullRefreshs.push(pullObj);
	});
});




window.mask = mui.createMask(closeCommentBox);

			function showCommentBox(cid){
				mui("#c_id")[0].value = cid;
				window.mask.show();//显示遮罩
				mui("#taddBox")[0].style.display = "block";
			}
			
			
			function closeCommentBox(){
				mui("#taddBox")[0].style.display = "none";
					//清空输入
					mui("#c_id")[0].value = "";
					mui("#c_content")[0].value = "";
			}
			
			function subComment(){
				plus.nativeUI.showWaiting();
				
				var data = {
					"commintid": mui("#c_id")[0].value,
					"replaycontent": mui("#c_content")[0].value
				};	
				app.shopreplyping(data, function(data){
					plus.nativeUI.closeWaiting();
					if( data.error == true ){
						plus.nativeUI.toast(data.msg);
						return;
					}
					closeCommentBox();
					window.mask.close();
					
					plus.nativeUI.toast("回复成功");
					setTimeout(function(){
						pullRefreshs[currType].pullDownLoading();
					}, 500);
				});
			}