var gid = $_GET['gid'];
var goodsinfo = {};
var typeinfo = {};
mui.init();

mui.plusReady(function(){
	plus.nativeUI.showWaiting();
	app.onegoods({"id": gid}, function(data){
		if(data.error){
			mui.toast(data.msg);
			plus.nativeUI.closeWaiting();
			mui.back();
			return false;
		}
		
		goodsinfo = data.msg;
		initData();
		
		app.typebyid({"typeid": goodsinfo.goodsinfo.typeid}, function(data){
			plus.nativeUI.closeWaiting();
			if(data.error){
				mui.toast(data.msg);
				mui.back();
				return false;
			}
			
			typeinfo = data.msg.typelist[0];
			document.getElementById("typename").value = typeinfo.name;
		});
	})
});

function initData(){
	document.getElementById("goodsImg").src = goodsinfo.goodsinfo.img?img_base_url+goodsinfo.goodsinfo.img:"../../images/defaultshop.png";
	
	document.getElementById("goodsname").value = goodsinfo.goodsinfo.name;
	document.getElementById("goodscount").value = goodsinfo.goodsinfo.count;
	document.getElementById("goodscost").value = goodsinfo.goodsinfo.cost;
	document.getElementById("goodsbagcost").value = goodsinfo.goodsinfo.bagcost;
	
	document.getElementById("gg_box").innerHTML = template("gglist_tpl", goodsinfo.productlist);
}

		function submit(){
			var g_name = document.getElementById("goodsname").value;
			var g_count = document.getElementById("goodscount").value;
			var g_cost = document.getElementById("goodscost").value;
			var g_bagcost = document.getElementById("goodsbagcost").value;
			
			if(!g_name || !g_count || !g_cost || !g_bagcost){
				mui.toast("请填写完整");
				return false;
			}
			
			var info = {};
			info.typeid = goodsinfo.goodsinfo.typeid;
			info.id = gid;
			info.name = g_name;
			info.count = g_count;
			info.cost = g_cost;
			info.bagcost = g_bagcost;
			
			plus.nativeUI.showWaiting();
			app.addgoos(info, function(data){
				plus.nativeUI.closeWaiting();
				if(data.error){
					if(data.msg == "nologin"){
						openWindow("登录", '../../login/login.html');
						return false;
					}
					plus.nativeUI.toast(data.msg);
					return false;
				}
				
				mui.toast("修改成功");
				mui.back();
			});
			
		}
		


function uploadGoodsImg(path){ 
	
	console.log(path);
	var timestamp = Date.parse(new Date());
	var dstsrc = '_doc/'+timestamp+'.png';
	console.log(dstsrc);
	
	plus.zip.compressImage({
			src:path,
			dst:dstsrc,
			quality:10,
		 	overwrite:true,
		//	format:"png", 
			width:"300px",
			height:"300px"
		},
		function(event) {
			console.log(event.target);
			console.log(event.size);
			console.log(event.width);
			console.log(event.height);
		 	console.log("Compress success!");
	 	 
			var zipimgpath = event.target;
			uploadzipimg(zipimgpath);
			 
		},function(error) {
			console.log("Compress error!");
			uploadzipimg(path);
	});
	
	
	return false;
	

}

function uploadzipimg(path){
	
	console.log("upload");
	console.log("gid:"+gid);
	console.log("path:"+path);
	plus.nativeUI.showWaiting();
	
	
	
	
	app.updateimg(gid, path, function(data){
		plus.nativeUI.closeWaiting();
		if(data.error){
			plus.nativeUI.toast(data.msg);
			return false;
		}
		console.log("logo----");
		console.log(data.msg);
		mui.toast("上传成功");
		mui("#goodsImg")[0].src =  data.msg; 		
 		
	});
}


function uploadGoodsImg11111(path){
	plus.nativeUI.showWaiting();
	app.updateimg(gid, path, function(data){
		plus.nativeUI.closeWaiting();
		if(data.error){
			plus.nativeUI.toast(data.msg);
			return false;
		}
		
		mui.toast("上传成功");
		mui("#goodsImg")[0].src =  data.msg; 
	});
}



function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(path) {
		//plus.gallery.save(path);
		console.log("path:"+path);
		uploadGoodsImg(path);
		//outSet( "照片已成功保存到系统相册" );
	}, function(e) {
		//outSet( "取消拍照" );
	}, {
		filename: "_doc/gallery/",
		index: 1
	});
}
function galleryImg() {
	// 从相册中选择图片
	//outSet("从相册中选择图片:");
	plus.gallery.pick(function(path) {
		 
		uploadGoodsImg(path);
		//outLine(path);
		//showImg( path );
		//createItem(path);
	}, function(e) {
		//outSet( "取消选择图片" );
	}, {
		filter: "image"
	});
}






mui('#picture').on('tap', '.mui-table-view-cell>a', function() {
	 
	//关闭actionsheet
	mui('#picture').popover('toggle');
	if (this.id == "getImage") {
		getImage();
	} else if (this.id == "galleryImg") {
		galleryImg();
	}
})




window.mask = mui.createMask(closeSBox);

			function showSBox(){
				window.mask.show();//显示遮罩
				mui("#ggSbox")[0].style.display = "block";
			}
			
			
			function closeSBox(){
				mui("#ggSbox")[0].style.display = "none";
				
			}
			
			function subSBox(){
				plus.nativeUI.showWaiting();
				
				var data = {
					"typeid": typeid,
					"name": mui("#g_name")[0].value, 
					"count": mui("#g_count")[0].value, 
					"cost": mui("#g_cost")[0].value
				};	
				app.addgoos(data, function(data){
					plus.nativeUI.closeWaiting();
					if( data.error == true ){
						plus.nativeUI.toast(data.msg);
						return;
					}
					closeaddgoods();
					window.mask.close();
					
					plus.nativeUI.toast("添加成功");
					setTimeout(function(){
						pullRef.pullDownLoading();
					}, 500);
				});
			}
