mui.init();
var typeid = $_GET['tid'];
var page = 1;

var pullRef = null;

mui.plusReady(function() {
	init();
	pullRef = mui(".mui-content").pullToRefresh({
		down: {
			callback: function() {
				page = 1;
				loadData();
			}
		},
		up: {
			callback: function() {
				++page;
				loadData();
			}
		}
	});
			setTimeout(function(){
				pullRef.pullDownLoading();
			}, 500);
})

function loadData() {
	app.goodslist({
		typeid: typeid,
		page: page
	}, function(data) {
		if (data.error == true) {
			plus.nativeUI.toast(data.msg);
			return;
		}
		if (page == 1) {
			pullRef.endPullDownToRefresh();
			document.getElementById("list").innerHTML = "";
		} else {
			pullRef.endPullUpToRefresh();
		}

		var html = template("goods_list_tpl", data.msg);
		document.getElementById("list").innerHTML += html;
		if (data.msg.length <= 0) {
			if (page == 1) {
				document.getElementById("list").innerHTML = tpl_nocontent("");
			} else {
				--page;
			}

			pullRef.endPullUpToRefresh(true);
		}
	})
}

mui("#list").on("tap", ".bianjigoodone", function(){
	var  gid = this.getAttribute("gid");
	mui.openWindow({
	    url: 'goodsedit.html?gid='+gid, 
	    id:'goodsedit',
	    show: {
			aniShow: 'pop-in',
			autoShow:true
		},
		waiting: {
			autoShow: true
		},
		createNew :true
	  });
	
	 
})

function delGoods(id, name){
	mui.confirm("确认删除？","提示",["取消", "确认"], function(e){
		if(e.index == 1){
			document.getElementById("goods_"+id).classList.add("remove");
			setTimeout(function(){
				if(mui(".mui-table-view-cell.remove").length>0){
					plus.nativeUI.showWaiting();
				}
			}, 1000);
			app.delgoos({id:id, typeid: typeid}, function(data){
				plus.nativeUI.closeWaiting();
				if(data.error){
					mui.toast(data.msg);
					mui(".mui-table-view-cell.remove")[0].classList.remove("remove");
					return false;
				}
				
				document.getElementById("list").removeChild(mui(".mui-table-view-cell.remove")[0]);
				mui.toast("删除成功");
			})
		}
	})
}

//上下架商品

function liveGoods(id,name, islive){
	var livename = '';
	if( islive == 0){
		var livename = '上架';
	}else{
		var livename = '下架';
	}
	mui.confirm("确认"+livename+"［"+name+"］？","提示",["取消", "确认"], function(e){
		if(e.index == 1){
			 
			app.livegood({id:id, typeid: typeid,islive:islive}, function(data){
				plus.nativeUI.closeWaiting();
				if(data.error){
					mui.toast(data.msg);
					 
					 return false;
				}else{
							init();
							pullRef = mui(".mui-content").pullToRefresh({
								down: {
									callback: function() {
										page = 1;
										loadData();
									}
								},
								up: {
									callback: function() {
										++page;
										loadData();
									}
								}
							});
									setTimeout(function(){
										pullRef.pullDownLoading();
									}, 500);
				}
				//loadData(); 
			})
		}
	})
}


window.mask = mui.createMask(closeaddgoods);

			function showaddgoods(){
				window.mask.show();//显示遮罩
				mui("#taddBox")[0].style.display = "block";
			}
			
			
			function closeaddgoods(){
				mui("#taddBox")[0].style.display = "none";
					//清空输入
					mui("#g_name")[0].value = "";
					mui("#g_count")[0].value = "";
					mui("#g_cost")[0].value = "";
			}
			
			function subaddgoods(){
				plus.nativeUI.showWaiting();
				
				var data = {
					"typeid": typeid,
					"name": mui("#g_name")[0].value, 
					"count": mui("#g_count")[0].value, 
					"cost": mui("#g_cost")[0].value
				};	
				app.addgoos(data, function(data){
					plus.nativeUI.closeWaiting();
					if( data.error == true ){
						plus.nativeUI.toast(data.msg);
						return;
					}
					closeaddgoods();
					window.mask.close();
					
					plus.nativeUI.toast("添加成功");
					setTimeout(function(){
						pullRef.pullDownLoading();
					}, 500);
				});
			}