//启用双击监听
		mui.init({
			gestureConfig:{
				doubletap:true
			}
		});
		var contentWebview = null,self = null;
		mui.plusReady(function () {
			self = plus.webview.currentWebview();
		});
		
		var backBtn = document.getElementById("back");
		var locationTitle = document.getElementById("locationTitle");
		var titleElem = document.getElementById("title");
		
function showRightBtn(title){
	document.getElementById("rightBtn").style.display = "block";
	document.getElementById("rightBtn").innerHTML = title;
}

document.getElementById("rightBtn").addEventListener("tap", function(){
						mui.fire(plus.webview.currentWebview().children()[0], 'rightBtnClicked', {});
})
window.locationInterval = false;
  function getAddress(){
	var lat = localStorage.getItem("latitude");
	var lng = localStorage.getItem("longitude");
	if(  (!lat || !lng) && !window.locationInterval  ){
		window.locationInterval = setInterval(function(){
			getAddress();
		}, 1000);
		return;
	}else{
		clearInterval(window.locationInterval);
		window.locationInterval = false;
	}

	var point = new plus.maps.Point(lng, lat);
	plus.maps.Map.reverseGeocode(point,{},function(event){
		var address = event.address;  // 转换后的地理位置
		var point = event.coord;  // 转换后的坐标信息
		var coordType = event.coordType;	// 转换后的坐标系类型
		mui("#address")[0].innerHTML = address;
		localStorage.setItem("LocationAddrName", address);
	},function(e){
		alert("Failed:"+JSON.stringify(e));
	});
  }
  
  var setting = {};

		window.addEventListener("updateHeader", function(e) {
			setting = e.detail;
			var title = e.detail.title;
			var href = e.detail.target;
			var aniShow = e.detail.aniShow;
			var enableBack = e.detail.enableBack;
			
			document.getElementById("rightBtn").style.display = "none";
			if(title=="showLocation"){
				locationTitle.style.display = "block";
				titleElem.style.display = "none";
				getAddress();
			}else{
				locationTitle.style.display = "none";
				titleElem.style.display = "block";
				titleElem.innerHTML = title;
				titleElem.className = "mui-title mui-fadein";
			}
			
			if(enableBack){
				
				backBtn.style.display = "block";
				

				mui.back = function() {
					var opener = plus.webview.currentWebview().opener();
					if (opener) {
						mui.fire(opener, 'reshow', {});
					}
					muiback();
				};
			}else{
				backBtn.style.display = "none";


				//首页返回键处理
				//处理逻辑：1秒内，连续两次按返回键，则退出应用；
				window.first = null;
				mui.back = function() {
						//首次按键，提示‘再按一次退出应用’
						if (!window.first) {
							window.first = new Date().getTime();
							mui.toast('再按一次退出应用');
							setTimeout(function() {
								window.first = null;
							}, 1000);
						} else {
							if (new Date().getTime() - window.first < 1000) {
								plus.runtime.quit();
							}
						}
				};
			}
			
			
			if(href && mui.os.android && aniShow && parseFloat(mui.os.version)>=4.4){
				if(contentWebview==null){
					contentWebview = self.children()[0];
				}
				
				if (contentWebview.getURL() != href) {
					contentWebview.loadURL(href);
				} else {
					contentWebview.show();
				}
				setTimeout(function () {
					self.show(aniShow);
				},10);
			}
		});

window.addEventListener('reshow',function(event){
	if(setting.title=="showLocation"){
		getAddress();
	}
});