mui.init();
document.getElementById("print_open_switch").addEventListener('toggle', function(event) {
	localStorage.setItem("print_open", (event.detail.isActive ? '1' : '0'));
	
	if(event.detail.isActive){
		document.getElementById("content").classList.add("print_open");
	}else{
		if(document.getElementById("content").classList.contains("print_open")){
			document.getElementById("content").classList.remove("print_open");
		}
	}
	document.getElementById("scaning").style.display = (event.detail.isActive ? 'block' : 'none');
	if(event.detail.isActive){
		getDeviceList();
	}
});

function getDeviceList(){
		document.getElementById("deviceList").innerHTML = "";
		var devices = getList();
		
		document.getElementById("deviceList").innerHTML = template("devices_tpl", {"printer_mac": localStorage.getItem("printer_mac"), "list": devices});
		if(devices.length<=0){
			document.getElementById("deviceList").innerHTML = tpl_nocontent();
		}
}
window.addEventListener('reshow',function(event){
  getDeviceList();
});

document.getElementById("print_auto_switch").addEventListener('toggle', function(event) {
	localStorage.setItem("print_auto", (event.detail.isActive ? '1' : '0'));
});

function foundDevice(data) {
	document.getElementById("deviceList").innerHTML += '<li class="mui-table-view-cell" dname="' + data.name + '" daddr="' + data.address + '">' + data.name + '&nbsp;&nbsp;&nbsp;&nbsp;' + data.address + '</li>';
}


function scanFinished(data) {
	document.getElementById("scaning").style.display = "none";
}

mui("#deviceList").on("tap", ".mui-navigate-right", function(){
	
	localStorage.setItem("printer_mac", this.getAttribute("daddr"));
//	var bates = [];
//	
//	bates.push(plus.android.invoke("聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店聚享便利店", 'getBytes', 'gbk'));
//	print(this.getAttribute("daddr"),bates);
});

function printTest(){
	plus.nativeUI.showWaiting();
	var printer_mac = localStorage.getItem("printer_mac");
	
	if(!printer_mac){
		mui.toast("请先选择蓝牙打印机");
		return false;
	}
	
	var bates = [];
	bates.push([ 0x1d, 0x21, 0x11 ]);
	bates.push([ 0x1b, 0x45, 0x01 ]);
	bates.push(plus.android.invoke(":)"+"\n", 'getBytes', 'gbk'));
	bates.push([ 0x1d, 0x21, 0x00 ]);
	bates.push([ 0x1b, 0x45, 0x00 ]);
	bates.push(plus.android.invoke("当您看到这个页面，证明打印机已经正常连接。", 'getBytes', 'gbk'));
	print(printer_mac,bates);
	plus.nativeUI.closeWaiting();
}

mui.plusReady(function() {
	if(localStorage.getItem("print_open") == "1"){
		plus.nativeUI.showWaiting();
		setTimeout(function(){
		plus.nativeUI.closeWaiting();
			mui("#print_open_switch").switch().toggle();
		}, 1000);
		//document.getElementById("print_open_switch").classList.add('mui-active');
	}
	if(localStorage.getItem("print_auto") == "1"){
		//mui("#print_auto_switch").switch().toggle();
		document.getElementById("print_auto_switch").classList.add('mui-active');
	}

if (!mui.os.android){
	mui.toast("暂只支持安卓手机");
	mui.back();
}
//	var oHead = document.getElementsByTagName('head').item(0); 
//  var oScript= document.createElement("script"); 
//  oScript.type = "text/javascript"; 
//  oScript.src=""; 
//	if (mui.os.ios) {
//		oScript.src = "../js/ios_print.js";
//	} else if (mui.os.android){
//		oScript.src = "../js/android_print.js";
//	}
//  oHead.appendChild( oScript); 
});