
var info = {};

mui.plusReady(function(){
	mui.init();
	init();
	loadData();
	mui(".textedit_ui").on("tap", ".mui-navigate-right", function(){
  		var title = this.getAttribute("title");
		var typename = this.getAttribute("typename");
		var name = this.querySelector(".tit").innerText;
		var val = this.querySelector(".mui-pull-right").innerText;
		var tip = this.getAttribute("tip");
		
		//var jsonData = {name: name, val: val, tip: tip, typename: typename};
		// openWindow(title, "../shop/textedit.html?json="+encodeURIComponent(JSON.stringify(jsonData)));
		 
		 
		 var url = "../shop/textedit.html?name="+name+"&val="+val+"&tip="+tip+"&typename="+typename+" ";
		// console.log(url);
		  
		mui.openWindow({
		    url: url, 
		    id:typename,
		    show: {
				aniShow: 'pop-in',
				autoShow:true
			},
			waiting: {
				autoShow: true
			},
			createNew :true
		  });
		 
		  
		  
		 
	});
	 
			

		mui(".edit_ui").on("tap", ".mui-navigate-right", function(){
			var title = this.getAttribute("title");
			var typename = this.getAttribute("typename");
			var name = this.querySelector(".tit").innerText;
			var val = this.querySelector(".mui-pull-right").innerText;
			var tip = this.getAttribute("tip");
			
			//var jsonData = {name: name, val: val, tip: tip, typename: typename};
			//openWindow(title, "../shop/edit.html?json="+encodeURIComponent(JSON.stringify(jsonData)));
			
			var url = "../shop/edit.html?name="+name+"&val="+val+"&tip="+tip+"&typename="+typename+" ";
			// console.log(url);
			  
			mui.openWindow({
			    url: url, 
			    id:typename,
			    show: {
					aniShow: 'pop-in',
					autoShow:true
				},
				waiting: {
					autoShow: true
				},
				createNew :true
			  });
			
			
			
		});

	
	
})

function setshopopen(openid){
	if( openid == 0 ){
		if(!confirm("设置店铺不营业吗？")){
					return;
		 }
	} 
	
	if( openid == 1 ){
		if(!confirm("设置店铺营业吗？")){
					return;
		 }
	}
	plus.nativeUI.showWaiting();
	 
		var data = {"isopen":openid}; 
	app.setshopopeninfo(data, function(data){	
		plus.nativeUI.closeWaiting();
			
				//plus.nativeUI.toast(data.msg);
				if( data.error == true ){
					return;
				}else{
					 
					//setTimeout(function() {
				  	loadData();
					//}, 1000);
					
				}
		
	});
	
	 
	
}

function loadData(){

	plus.nativeUI.showWaiting();
	app.appshop({}, function(data){
		plus.nativeUI.closeWaiting();
		if(data.error){
			mui.toast(data.msg);
			mui.back();
			return;
		}
		
		info = data.msg;
		document.getElementById("shoplogo").src = info.shoplogo;
		document.getElementById("goodsImg").src = info.shoplogo;
		document.getElementById("shopname").innerHTML = info.shopname;
		document.getElementById("shopnamename").innerHTML = info.shopname; 
		
		document.getElementById("shopopentype_"+info.shopopentype).setAttribute("checked", "checked");
		
		document.getElementById("opentime").innerHTML = info.opentime;
		document.getElementById("shopphone").innerHTML = info.shopphone;
		document.getElementById("shopaddress").innerHTML = info.shopaddress;
		document.getElementById("limitcost").innerHTML = info.limitcost;
		document.getElementById("notice_info").innerHTML = info.notice_info;
		document.getElementById("intr_info").innerHTML = info.intr_info;
	});	
}


function uploadzipimg(path){
	plus.nativeUI.showWaiting();
	app.shoplogoupdateimg(path, function(data){
		plus.nativeUI.closeWaiting();
		if(data.error){
			plus.nativeUI.toast(data.msg);
			return false;
		}
		console.log("shoplogo----");
		console.log(data.msg.shoplogo);
		mui.toast("上传成功");
		mui("#goodsImg")[0].src = img_base_url+data.msg.shoplogo; 		
		mui("#shoplogo")[0].src = img_base_url+data.msg.shoplogo; 
		
	});
}

 

function uploadGoodsImg(path){ 
	
	console.log(path);
	var timestamp = Date.parse(new Date());
	var dstsrc = '_doc/'+timestamp+'.png';
	console.log(dstsrc);
	
	plus.zip.compressImage({
			src:path,
			dst:dstsrc,
			quality:10,
		 	overwrite:true,
		//	format:"png", 
			width:"300px",
			height:"300px"
		},
		function(event) {
			console.log(event.target);
			console.log(event.size);
			console.log(event.width);
			console.log(event.height);
		 	console.log("Compress success!");
	 	 
			var zipimgpath = event.target;
			uploadzipimg(zipimgpath);
			 
		},function(error) {
			console.log("Compress error!");
			uploadzipimg(path);
	});
	
	
	return false;
	

}





function getImage() {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(path) {
		//plus.gallery.save(path);
		uploadGoodsImg(path);
		//outSet( "照片已成功保存到系统相册" );
	}, function(e) {
		//outSet( "取消拍照" );
	}, {
		filename: "_doc/gallery/",
		index: 1
	});
}
function galleryImg() {
	// 从相册中选择图片
	//outSet("从相册中选择图片:");
	plus.gallery.pick(function(path) {
		 
		uploadGoodsImg(path);
		//outLine(path);
		//showImg( path );
		//createItem(path);
	}, function(e) {
		//outSet( "取消选择图片" );
	}, {
		filter: "image"
	});
}



mui(".mui-content").on("tap", "#shophjset", function(){
	openWindow("店铺环境管理", "../shop/shophjset.html");
	return false;
})



mui('#picture').on('tap', '.mui-table-view-cell>a', function() {
	 
	//关闭actionsheet
	mui('#picture').popover('toggle');
	if (this.id == "getImage") {
		getImage();
	} else if (this.id == "galleryImg") {
		galleryImg();
	}
})




window.addEventListener('reshow',function(event){
	setTimeout(function() {
		loadData();
	}, 1000);
});
